curl -X GET "https://api.foxreach.io/api/v1/analytics/overview" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
overview = client.analytics.overview()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const overview = await client.analytics.overview();
{
"data": {
"totalAccounts": 15,
"activeAccounts": 12,
"totalCampaigns": 8,
"activeCampaigns": 3,
"totalLeads": 4520,
"totalSent": 12340,
"totalReplies": 567,
"replyRate": 4.6,
"accountHealthAvg": 87
}
}
Analytics
Workspace Overview
Retrieve workspace-wide analytics including accounts, campaigns, leads, and engagement metrics.
GET
/
api
/
v1
/
analytics
/
overview
curl -X GET "https://api.foxreach.io/api/v1/analytics/overview" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
overview = client.analytics.overview()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const overview = await client.analytics.overview();
{
"data": {
"totalAccounts": 15,
"activeAccounts": 12,
"totalCampaigns": 8,
"activeCampaigns": 3,
"totalLeads": 4520,
"totalSent": 12340,
"totalReplies": 567,
"replyRate": 4.6,
"accountHealthAvg": 87
}
}
Response
object
Show Overview stats
Show Overview stats
integer
Total email accounts connected.
integer
Email accounts currently active.
integer
Total campaigns created.
integer
Campaigns currently running.
integer
Total leads in workspace.
integer
Total emails sent across all campaigns.
integer
Total replies received.
number
Reply rate as a percentage (1 decimal).
integer
Average account health score (0-100).
curl -X GET "https://api.foxreach.io/api/v1/analytics/overview" \
-H "X-API-Key: otr_your_key"
from foxreach import FoxReach
client = FoxReach(api_key="otr_your_key")
overview = client.analytics.overview()
import { FoxReach } from "foxreach";
const client = new FoxReach({ apiKey: "otr_your_key" });
const overview = await client.analytics.overview();
{
"data": {
"totalAccounts": 15,
"activeAccounts": 12,
"totalCampaigns": 8,
"activeCampaigns": 3,
"totalLeads": 4520,
"totalSent": 12340,
"totalReplies": 567,
"replyRate": 4.6,
"accountHealthAvg": 87
}
}
Rate Limit
- 100 requests per minute, per API key. Fixed 60-second window.
- Every response includes
X-RateLimit-Limit,X-RateLimit-Remaining, andX-RateLimit-Reset(unix epoch seconds). - A
429response includes aRetry-Afterheader (seconds until the bucket resets).
Retry-After, exponential backoff, monitoring X-RateLimit-Remaining), see Rate Limiting.